@use "src/colors";

form {
  position: absolute;
  top: 50%;
  left: 50%;
  transform-origin: center;
  display: flex;


  section {
    padding: 20px;
  }

  h1 {
    font-size: 30px;
  }

  section:first-of-type {
    width: 350px;
    display: flex;
    flex-direction: column;

    border-right: 2px solid rgba(colors.$text, 0.3);

    span {
      font-size: 17px;
      user-select: text;
    }

    img {
      width: 50%;
      height: auto;
      margin-top: auto;
    }
  }

  section:last-of-type {
    width: 600px;
    display: flex;
    flex-direction: column;
    gap: 15px;

    textarea {
      height: 150px;
      resize: none;
    }

    button {
      width: 100px;
      margin-top: 20px;
      align-self: center;
    }
  }

  @media screen and (max-width: 1200px) {
    flex-direction: column;
    opacity: 1;

    section:first-of-type {
      width: 100%;
      border-right: none;
      border-bottom: 2px solid rgba(colors.$text, 0.3);

      img {
        display: none;
      }
    }
  }

  @media screen and (max-width: 700px) {
    position: unset;
    transform: unset;
    transform-origin: unset;
    animation: unset;
    margin: 10px;
    height: max-content;

    section {
      width: 100% !important;

      &:last-of-type h1 {
        font-size: 20px;
      }
    }
  }
}
